using System;

namespace NESUSEDNI
{
    class Program
    {
        static void Main(string[] args)
        {
            string subjedinica = Console.ReadLine();
            char[] elementi = subjedinica.ToCharArray();
            string subjedinicarev = elementi[1].ToString()+elementi[0].ToString();
            string[] brojevi = Console.ReadLine().Split();
            int br1 = int.Parse(brojevi[0]);
            int br2 = int.Parse(brojevi[1]);
            if (br1 == br2 || br1 == br2 + 1)
            {
                for (int i = 0; i < br2; i++)
                    Console.Write(subjedinica);
                if (br1 == br2 + 1)
                    Console.Write(elementi[0]);
            }
            else if (br2 == br1 + 1)
            {
                for (int i = 0; i < br1; i++)
                    Console.Write(subjedinicarev);
                Console.Write(elementi[1]);
            }
            else Console.WriteLine("nemoguce");
        }
    }
}